summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/qstat/README7
-rw-r--r--games/qstat/doinst.sh15
-rw-r--r--games/qstat/qstat.SlackBuild104
-rw-r--r--games/qstat/qstat.info10
-rw-r--r--games/qstat/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/games/qstat/README b/games/qstat/README
new file mode 100644
index 0000000000..e289ae78d4
--- /dev/null
+++ b/games/qstat/README
@@ -0,0 +1,7 @@
+QStat is a command-line program that displays information about Internet game servers.
+The servers are either down, non-responsive, or running a game.
+For servers running a game, the server name, map name, current number of players,
+and response time are displayed. Server rules and player information may also be displayed.
+
+A copy of the of the GitHub repo is hosted on my website, dated with the last commit date.
+I only have mirrored it, removed the hidden git folder, and put it in a tarball. Nothing else was changed.
diff --git a/games/qstat/doinst.sh b/games/qstat/doinst.sh
new file mode 100644
index 0000000000..df4e1c9549
--- /dev/null
+++ b/games/qstat/doinst.sh
@@ -0,0 +1,15 @@
+# Handle configuration files
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+# List of configuration files (they should end in .new)
+
+config etc/qstat.cfg.new
diff --git a/games/qstat/qstat.SlackBuild b/games/qstat/qstat.SlackBuild
new file mode 100644
index 0000000000..a448be3715
--- /dev/null
+++ b/games/qstat/qstat.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for qstat (the revived version)
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+# XQF SlackBuild by David Somero <dsomero@hotmail.com> Copyright 2007
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qstat
+VERSION=${VERSION:-09022015}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="${SLKCFLAGS}" \
+CXXFLAGS="${SLKCFLAGS}" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --with-docdir=/usr/doc/$PRGNAM-$VERSION
+ make
+ make install DESTDIR=$PKG
+
+# Don't clobber existing config
+mv $PKG/etc/qstat.cfg $PKG/etc/qstat.cfg.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog CHANGES.txt LICENSE.txt qstatdoc.html README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/qstat/qstat.info b/games/qstat/qstat.info
new file mode 100644
index 0000000000..7b7e0323b2
--- /dev/null
+++ b/games/qstat/qstat.info
@@ -0,0 +1,10 @@
+PRGNAM="qstat"
+VERSION="09022015"
+HOMEPAGE="https://github.com/multiplay/qstat"
+DOWNLOAD="http://www.bloodbathsoftworks.com/xylemon/uploads/sbomirrors/qstat-09022015.tar.gz"
+MD5SUM="ad551bf9e872637950ab9a03f07cae4f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"
diff --git a/games/qstat/slack-desc b/games/qstat/slack-desc
new file mode 100644
index 0000000000..659f4a3806
--- /dev/null
+++ b/games/qstat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+qstat: qstat (Command-line Game Server Query Tool)
+qstat:
+qstat: QStat is a command-line program that displays information about
+qstat: Internet game servers. The servers are either down, non-responsive, or
+qstat: running a game. For servers running a game, the server name, map name,
+qstat: current number of players, and response time are displayed. Server
+qstat: rules and player information may also be displayed.
+qstat:
+qstat: Homepage: https://github.com/multiplay/qstat
+qstat:
+qstat: